
QGIS Application - Bug report #1508

fTools Geoprocessing Dissolve Crashes QGIS

2009-01-24 01:15 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11568

Description

Use the shape from http://www.sogis1.so.ch/sogis/dl/gempoly.zip for the following steps:

1. Load Shape gem_poly.shp

 2. Select tools->Geoprocessing Tools->dissolve

 3. Select gem_poly.shp

 4. Select BZRK_NR as dissolve item

 5. Define output shape

 6. Hit OK

=> QGIS Crashes

Tested on two different boxes: [[RadHat]] AS4 and Kubuntu 8.04

History

#1 - 2009-01-24 06:36 AM - cfarmer -

- Status changed from Open to In Progress

Unable to reproduce above crash.

Tested following above steps and provided shapefile using Linux Ubuntu 8.04.

Will attempt with MS Windows XP at a later date.

Carson

#2 - 2009-01-25 01:28 AM - Horst Düster

Unfortunately I can't reproduce it too. But my QGIS crashes always when I try to dissolve the same layer as [[PostGIS]] layer. Try 

http://www.sogis1.so.ch/sogis/dl/geo_gemeinden.dmp.tar.bz2

#3 - 2009-02-02 03:04 PM - cfarmer -

- Resolution set to fixed

- Status changed from In Progress to Closed

problem fixed in rev. 10095
http://www.sogis1.so.ch/sogis/dl/gempoly.zip
http://www.sogis1.so.ch/sogis/dl/geo_gemeinden.dmp.tar.bz2


-carson

#4 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
